Package net.shibboleth.idp.cas.ticket

# Class ProxyTicket

java.lang.Object
net.shibboleth.idp.cas.ticket.Ticket
net.shibboleth.idp.cas.ticket.ProxyTicket

public class ProxyTicket extends Ticket
CAS proxy ticket.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`pgTicketId`
Proxy-granting ticket ID used to create ticket.

## Constructor Summary

Constructors
Constructor
Description
`ProxyTicket(String id, String service, Instant expiration, String pgtId)`
Creates a new authenticated ticket with an identifier, service, and expiration date.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPgtId()`
Get the proxy-granting ticket ID used to create ticket.
`protected Ticket`
`newInstance(String newId)`
Create a new ticket with this ticket's service and expiration.

### Methods inherited from class net.shibboleth.idp.cas.ticket.Ticket

`clone, equals, getExpirationInstant, getId, getService, getSessionId, getTicketState, hashCode, setTicketState, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### pgTicketId

@Nonnull private final String pgTicketId
Proxy-granting ticket ID used to create ticket.

## Constructor Details

### ProxyTicket

public ProxyTicket(@Nonnull String id, @Nonnull String service, @Nonnull Instant expiration, @Nonnull String pgtId)
Creates a new authenticated ticket with an identifier, service, and expiration date.

Parameters:
  `id` - Ticket ID.
  `service` - Service that requested the ticket.
  `expiration` - Expiration instant.
  `pgtId` - Proxy-granting ticket ID used to create ticket.

## Method Details

### getPgtId

@Nonnull public String getPgtId()
Get the proxy-granting ticket ID used to create ticket.

Returns:
  proxy-granting ticket ID used to create ticket

### newInstance

protected Ticket newInstance(@Nonnull String newId)
Create a new ticket with this ticket's service and expiration.

Overrides:
  `newInstance` in class `Ticket`
Parameters:
  `newId` - new ticket ID
Returns:
  newly created ticket